Subject: Re: bug#32183: New ‘guix pull’/root/.config/current/bin/guix: Permission denied

From: [email-masked] (Ludovic Courtès)
Date: Mon, 15 Oct 2018 21:33:36 +0200

Hi Konrad,

Konrad Hinsen <[email-masked]> skribis:

> This looks like an error in an error-raising procedure, something
> like  a meta-error ;-)

The horror bug department worked hard to deliver this one.  :-)

> Looking at
>
>   ~# ls -l /var/guix/profiles/per-user/root/current-guix
>    lrwxrwxrwx 1 root root 14 oct.  15 13:51
> /var/guix/profiles/per-user/root/current-guix -> current-4-link
>
> yields  a link that is indeed missing. What I do have is
> current-guix-4-link, but not a plain current-4-link.

Yes, it’s one of the thinkos I made, fixed in
aa227b3be3d7728331a08dbd139c47c9b271dc23.

If you’re familiar with Dired in Emacs, I’d suggest opening
/var/guix/profiles/per-user/root and fixing the symlink targets from
there (with C-c C-q).

If not I can try and come up with a script to do that.

Apologies for the mess!

Ludo’.